Properties
  Enter prefix (Dr., Mrs., etc), first, middle, and last names, and suffix (Jr., Esq., etc.). These are optional, but you should at least fill in the last name.
Contacts
  Enter contact information by selecting the appropriate contact type from the popup menu and putting the information in the textfield beside it. You don't have to fill in all four rows, but if you need more than four click 'Add More'. Check the 'Delete' checkbox and click Save to delete a contact.
Role Custom Fields
  Enter information for the role that this contributor is.
Switch Roles
  Change the role this contributor is. Roles are set when you click 'New' in the Contributor Manager to extend a contributor.

Check the 'Delete this Profile' checkbox if you want to delete this contributor. Click the 'Save' button to save your changes and return to the Contributor Manager.